Viewing Issue Advanced Details Jump to Notes ] ninjaw.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06169 DIP/Input Minor Always Mar 30, 2016, 02:51 May 9, 2016, 10:35
Tester DonCatoli View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver ninjaw.cpp
Version 0.171 Fixed in Version 0.174 Build Normal
Summary 06169: ninjawu: Credit count is wrong on coin slot 2
Description If you set coin slot number 2 to give multiple credits per coin you don't get the stated allotment of credits or you get no credits.
This only happens with ninjawu, ninjawj works correctly.
Steps To Reproduce (ninjawu only) if you set it to 1 coin / 6 credits on the first credit press the credit sound triggers but the game leaves the credit count at 0, press it a second time and your credit jumps from 0 to 3, press it again and it remains 3, next press 6, press again it remains at 6, and finally press once more you only then get 9 credits and the counter is maxed. you can reproduce this with lower values as well... ex: set 1 coin / 2 credits and you always get 1 credit... set it to 1 coin / 4 credits you only get 1 credit per press.
Additional Information I tried to repro this with the similar hw setup Darius and it gives the correct amount of credits so this seems to be limited to ninja warriors.
I have not run this game in some time so I do not know how far back this bug occurs.
This only happens with ninjawu, ninjawj works correctly.
Flags
Regression Version
Affected Sets / Systems ninjawu
Attached Files
 


-  Notes
User avatar
No.12493
NekoEd
(Senior Tester)
Mar 30, 2016, 03:00
Confirmed. I'm guessing this is probably a change to this version, and the dips as listed in the driver are incorrect.
User avatar
No.12632
R. Belmont
(Developer)
May 6, 2016, 14:41
Yeah, almost certainly US-specific coinage and the DIPs need to be relabeled.